# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           testcloud
Version:        0.1.4
Release:        2%{?dist}
Summary:        Tool for running cloud images locally

License:        GPLv2+
URL:            https://github.com/Rorosha/testCloud
Source0:        https://github.com/Rorosha/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch

# Ensure we can create the testcloud group
Requires(pre): 	shadow-utils

# testcloud integrates with libvirt
Requires:       libvirt
Requires:       libvirt-python
# virt-install is used to spawn the instances
Requires:       virt-install

# This is used to manipulate images on disk
Requires:       libguestfs
Requires:       libguestfs-tools

# Used to download images from valid URLs
Requires:       python-requests

Requires:		polkit

BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python-setuptools

# Provides:       python2-testcloud

%description
testcloud is a relatively simple system which is capable of booting images designed for cloud systems on a local system with minimal configuration. testcloud is designed to be (and remain) somewhat simple, trading fancy cloud system features for ease of use and sanity in development.

# Create the testcloud group
%pre
getent group testcloud >/dev/null || groupadd testcloud

%prep
%setup -q

%check
%{__python} setup.py test

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# configuration files
mkdir -p %{buildroot}%{_sysconfdir}/testcloud/
install conf/settings-example.py %{buildroot}%{_sysconfdir}/testcloud/settings.py

# cache dir
install -m 644 -d %{buildroot}/%{_sharedstatedir}/testcloud/cache

# instance dir
install -m 644 -d %{buildroot}/%{_sharedstatedir}/testcloud/instances

# create polkit rules dir and install polkit rule
mkdir -p %{buildroot}%{_sysconfdir}/polkit-1/rules.d
install conf/99-testcloud-nonroot-libvirt-access.rules %{buildroot}%{_sysconfdir}/polkit-1/rules.d/99-testcloud-nonroot-libvirt-access.rules

%files
%doc README.rst
%license LICENSE
%{python_sitelib}/testcloud
%{python_sitelib}/*.egg-info

%dir %{_sysconfdir}/testcloud
%dir %attr(0775, qemu, qemu) %{_sharedstatedir}/testcloud
%dir %attr(0775, qemu, qemu) %{_sharedstatedir}/testcloud/cache
%dir %attr(0775, qemu, qemu) %{_sharedstatedir}/testcloud/instances
%attr(0644, root, root) %{_sysconfdir}/polkit-1/rules.d/99-testcloud-nonroot-libvirt-access.rules

%{_sysconfdir}/testcloud/settings.p*
%{_bindir}/testcloud

%changelog
* Tue Sep 29 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.4-1
- Multiple bug fixes.
* Tue Sep 01 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.3-2
- Unkludge the last release.
* Sun Aug 30 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.3-1
- Multiple bugfixes and general clean up.
* Tue Jul 14 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.1-2
- Added polkit rule for headless machine (or passwordless) execution.
* Thu Jul 09 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.1-1
- Fixed packaging issues. Removed uneeded code.
* Thu Jul 09 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.0-2
- Fixed packaging issues. Removed uneeded code.
* Tue Jun 23 2015 Mike Ruckman <roshi@fedoraproject.org> - 0.1.0-1
- Initial packaging of testcloud
